<!DOCTYPE html>

{% load leaflet_tags %}
{% load static %}

<html>


    <head>
        <link rel="stylesheet" href="http://code.ionicframework.com/ionicons/1.5.2/css/ionicons.min.css">
        <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/css/bootstrap.min.css">
        <link rel="stylesheet" type="text/css" href="{% static "voyages/css/voyages.css" %}">
        <link rel="stylesheet" type="text/css" href="{% static "voyages/css/slideshow.css" %}">
        <link rel="stylesheet" type="text/css" href="{% static "voyages/css/elements.css" %}">
        <link rel="stylesheet" type="text/css" href="{% static "voyages/css/pages.css" %}">
        <link rel="stylesheet" type="text/css" href="{% static "voyages/css/styles.css" %}">
        <link rel="stylesheet" type="text/css" href="{% static "voyages/css/leaflet.awesome-markers.css" %}">
        <link rel="stylesheet" type="text/css" href="{% static "voyages/css/bootstrap-select.min.css" %}">
        {% leaflet_js %}
        {% leaflet_css %}
        <title>Dataflo - By Florian Brunet</title>
        <meta charset="utf-8" />

    </head>


    <body class="about">


        <div id="header" style="background: url('{% static 'mysite/img/toulouse_l.jpg' %}') no-repeat top">

            <div class="container-fluid">

                <div class="row">

                    <div class="title col-xs-12 col-sm-5 col-md-4 col-lg-3">

                    </div>


                    <div class="navigation col-xs-12 col-sm-7 col-md-8 col-lg-9">
                        <ul class="horizontal-list">
                            <li class="item"><a href="/" title="A propos">A propos</a></li>
                            <li class="item active"><a href="#" title="Dataviz">Dataviz</a></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>

        <div id="flo_map">
            <div style="top:10px; right:10px; position:absolute; z-index:1000; ">
                <form method="GET" id="ajax_form">
                    <ul>
                        {{ form_aj.as_ul }}
                    </ul>
                </form>
            </div>
        </div>


        <script src="https://ajax.googleapis.com/ajax/libs/jquery/3.4.1/jquery.min.js"></script>
        <script src="https://maxcdn.bootstrapcdn.com/bootstrap/3.4.0/js/bootstrap.min.js"></script>
        <script src="{% static "voyages/js/leaflet.awesome-markers.js" %}"></script>
        <script src="{% static "voyages/js/leaflet.awesome-markers-without-number.js" %}"></script>
        <script src="{% static "voyages/js/bootstrap-select.min.js" %}"></script>
        <script src="{% static "voyages/js/slideshow.js" %}"></script>
        <script src="{% static "voyages/js/voyages.js" %}"></script>


        <script>

            $('.selectpicker').selectpicker();
            $('.selectpicker').selectpicker({
                style: 'btn-info',
                size: 4
            });
            i = 0
            all_bounding_view = {};

            $(".nav-country").click(function () {
                i++;
                console.log(i);
            });


            $("#id_voyageaj").change(maj_map);


            $(document).on('click', '.leaflet-marker-icon', function(){
                id = $(this)[0].id;
                console.log(id);
            });

        </script>

        <script>
            var map = L.map('flo_map').setView([51.505, -0.09], 4);
            L.tileLayer('https://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
            attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors'}).addTo(map);
            maj_map();
        </script>

        <div class="leaflet-bottom leaflet-left">
            <a href="{% url 'admin:index' %}">
                <button type="button" class="btn btn-default btn-lg leaflet-control" style="padding:0px;">
                    <span class="glyphicon glyphicon-edit"  style="width:30px; height:30px; line-height:30px;"></span>
                </button>
            </a>
        </div>

    </body>

</html>
